<?php

/*
 * This file is part of the Jiannei/lumen-api-starter.
 *
 * (c) Jiannei <longjian.huang@foxmail.com>
 *
 * This source file is subject to the MIT license that is bundled
 * with this source code in the file LICENSE.
 */

namespace App\Services;

use App\Repositories\Contracts\PlatformCustomerRepository;
use App\Support\Traits\Helpers;

class AuthService
{
    use Helpers;

    public function __construct(PlatformCustomerRepository $platformCustomerRepository)
    {
        $this->platformCustomerRepository = $platformCustomerRepository;
    }

    /**
     * 获取token
     * @param $requestParams
     * @return array
     * @throws \Exception
     */
    public function getToken($requestParams)
    {
        return app(CustomerService::class)->getToken($requestParams);
    }

}
